/* Global Styles */
@media only screen and (min-width: 320px) and (max-width: 767px) {
  .plp .main-wrapper {
    padding: 0 0px;
  }
  .plp .main-content {
    padding: 0 15px;
  }
}
.plp-header {
  margin-bottom: 16px;
  overflow: hidden;
}
.plp-header section {
  margin-top: 16px;
}

.plp-header__showcase::-webkit-scrollbar,
.plp-header__showcase {
  display: none;
  -ms-overflow-style: none; /* IE and Edge */
  scrollbar-width: none; /* Firefox */
}

/* SEO TEXT AND READ MORE */
.plp-header__seo {
  margin: 0 auto;
  padding: 0 8px;
}

.plp-header__seo-content-wrapper {
  margin-bottom: 16px;
  position: relative;
}

.plp-header__seo-content {
  display: -webkit-box;
  -webkit-line-clamp: 2;
  line-clamp: 2;
  -webkit-box-orient: vertical;
  overflow: hidden;
}

.plp-header__seo-content > p {
  margin-bottom: 8px;
}

.plp-header__seo-content a {
  text-decoration: underline;
}

.plp-header__seo-content,
.plp-header__seo-content a {
  color: var(--main-text-dark-grey);
  font: var(--font-14px-body-regular);
}

.plp-header__seo-content > ul {
  list-style-position: inside;
}

.plp-header__seo-content > ul li {
  list-style-type: disc;
  text-indent: -20px;
  padding-left: 20px;
  margin-bottom: 8px;
}

/* Styles when the checkbox is checked */
.plp-header__seo #toggle:checked + .plp-header__seo-content {
  display: block;
  -webkit-line-clamp: unset;
  line-clamp: unset;
  overflow: visible;
}

.plp-header__seo #toggle {
  display: none;
}

.plp-header__seo-toggle-label {
  cursor: pointer;
  color: var(--main-text-dark-grey);
  font: var(--font-14px-body-regular);
  text-decoration: underline;
  display: block;
  text-align: left;
      color: #000;
    text-decoration: underline;
    font-weight: bold;
    margin-top: 16px;
}

.plp-header__seo-toggle-label::after {
  content: "Read more";
}

html:lang(fr) .plp-header__seo-toggle-label::after {
  content: "Lire la suite";
}

html:lang(de) .plp-header__seo-toggle-label::after {
  content: "Weiterlesen";
}

html:lang(nl) .plp-header__seo-toggle-label::after {
  content: "Lees meer";
}

.plp-header__seo
  #toggle:checked
  + .plp-header__seo-content
  + .plp-header__seo-toggle-label::after {
  content: "Read less";
}

html:lang(fr)
  .plp-header__seo
  #toggle:checked
  + .plp-header__seo-content
  + .plp-header__seo-toggle-label::after {
  content: "Fermer";
}

html:lang(de)
  .plp-header__seo
  #toggle:checked
  + .plp-header__seo-content
  + .plp-header__seo-toggle-label::after {
  content: "Schließen";
}

html:lang(nl)
  .plp-header__seo
  #toggle:checked
  + .plp-header__seo-content
  + .plp-header__seo-toggle-label::after {
  content: "Sluit";
}

@media (min-width: 768px) {
  .plp-header__seo {
    padding: 0;
  }
}

/* BADGES */
.plp-header__brand-badges {
  display: flex;
  justify-content: center;
  align-items: center;
  margin: 0;
  overflow: hidden;
}

.plp-header__brand-badges--scroll {
  display: flex;
  overflow-x: auto;
  white-space: nowrap;
  justify-content: flex-start;
  gap: 16px;
  box-sizing: border-box;
  margin-left: 8px;
}

.plp-header__brand-badges-item {
  box-sizing: border-box;
  text-align: center;
  flex: 0 0 auto;
}

.plp-header__brand-badges--scroll {
  -ms-overflow-style: none;
  scrollbar-width: none;
}
.plp-header__brand-badges-img {
  width: 100%;
  height: 38px;
}

/* SHOWCASE */
.plp-header__showcase {
  display: flex;
  gap: 16px;
  overflow-y: hidden;
  -webkit-overflow-scrolling: touch;
  -ms-overflow-scrolling: touch;
  transform: translateZ(0);
  width: 100%;
  max-width: 1200px;
  margin-left: 8px;
  border-radius: 3px;
  justify-content: space-between;
}

@media (min-width: 376px) {
  .plp-header__showcase {
    gap: 32px;
  }
}

.plp-header__showcase-grid {
  display: grid;
  place-items: center;
  min-width: 256px;
  position: relative;
  overflow: hidden;
  margin-bottom: 0;
  border-radius: 3px;
}

.plp-header__showcase-grid p {
  position: absolute;
  bottom: 0;
  left: 0;
  right: 0; /* Full width */
  padding-bottom: 8px;
  margin-left: 8px;
  color: var(--supporting-text-white);
  font: var(--font-18px-large-semi-bold);
  z-index: 2;
  margin-bottom: 0;
  margin-right: 8px;
}

.plp-header__showcase-grid img {
  width: 100%;
  height: 113px;
  display: block;
  margin-left: 0;
  border-radius: 3px;
  object-fit: cover;
  margin-bottom: 0;
}

.plp-header__showcase--gradient {
  position: absolute;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  background-image: linear-gradient(
    rgba(0, 0, 0, 0) 0%,
    rgba(0, 0, 0, 0) 30%,
    rgba(0, 0, 0, 0.1) 40%,
    rgba(0, 0, 0, 0.3) 60%,
    rgba(0, 0, 0, 0.7) 100%
  );
  z-index: 1;
  margin-left: 0;
  margin-bottom: 0;
}
/* FILTERS */
.plp-header__filters {
  display: flex;
  justify-content: center;
  margin-left: 8px;
}
.plp-header__filter-text {
  margin: 0 16px 0 0;
  padding: 8px;
  margin-bottom: 0;
  font: var(--font-14px-body-regular);
  line-height: 18px;
  align-items: center;
  display: flex;
  background: #ffffff 0% 0% no-repeat padding-box;
  box-shadow: 0px 0px 6px #00000029;
  border-radius: 0 3px 3px 0;
  width: min-content;
  height: 50px;
  word-wrap: normal;
  min-width: 110px;
}

.plp-header__filter-item {
  display: inline-flex;
  margin-bottom: 0;
  width: max-content;
}
.plp-header__filters-glider a {
  display: flex;
  padding: 8px 0;
  margin: 0;
  text-decoration: none;
  color: var(----main-text-dark-grey);
  padding-bottom: 30px;
}

.plp-header__filter-image {
  width: 100%;
  height: 100%;
  max-width: 85px;
  object-fit: cover;
  max-height: 50px;
  margin: 0px;
  border: azure;
  border-radius: 3px 0 0 3px;
  box-shadow: 0px 0px 6px #00000029;
}

.plp-header__filters {
  position: relative;
  opacity: 1;
}

.plp-header__filters-glider {
  border-top: 1px solid #ebebeb;
  overflow-y: hidden;
  -webkit-overflow-scrolling: touch;
  -ms-overflow-scrolling: touch;
  transform: translateZ(0);
  display: flex;
}

/* Custom Scrollbar for Filters Glider */
.plp-header__filters-glider::-webkit-scrollbar {
  height: 7px;
}

.plp-header__filters-glider::-webkit-scrollbar-thumb {
  background: #808080;
  border-radius: 11px;
}

.plp-header__filters-glider::-webkit-scrollbar-track {
  background: #f1f1f1;
  border-radius: 11px;
}

@media (min-width: 768px) {
  .plp-header__showcase {
    justify-content: center;
    margin: 16px auto 0;
  }
  .plp-header__showcase-grid {
    min-width: 225px;
  }
}
@media (min-width: 1024px) {
  .plp-header__filters-glider {
    flex-wrap: wrap;
    margin: 0 auto;
    align-items: center;
    justify-content: center;
  }
  .plp-header__showcase-grid {
    min-width: 256px;
  }
  .plp-header__filters {
    margin: 0 auto;
  }
}
@media (min-width: 1280px) {
  .plp-header__showcase {
    justify-content: center;
    margin: 0 auto;
  }
  .plp-header__filters-glider {
    flex-wrap: nowrap;
    justify-content: center;
    align-items: center;
    margin: 0 auto;
  }
}
@media (min-width: 1440px) {
  .plp-header__filters-glider {
    flex-wrap: nowrap;
    justify-content: center;
    align-items: center;
    margin: 0 auto;
  }
  .plp-header__filters {
    justify-content: center;
    margin: 0 auto;
  }
}
